[Overview][Constants][Types][Classes][Index] | Reference for unit 'fgl' (#rtl)

# TFPGMap.Remove

Remove a key from the list

## Declaration

Source position: fgl.pp line 332

`public function TFPGMap.Remove(`
`const AKey: TKey`
`):Integer;`

## Arguments

`AKey` |  | Key to remove from the list.

## Function result

Index of AKey prior to removal.

## Description

Remove removes the key AKey from the list, together with its associated data. The function returns the index of AKey prior to removal from the list, or -1 if AKey was not present in the list.

## Errors

None.

## See also

TFPGMap.InsertKey |  | Insert a new key in the list
TFPGMap.InsertKeyData |  | Insert a new key with associated data in the list
TFPGMap.Add |  | Add a key and value to the map
TFPSMap.Delete